<?php

add_action( 'cmb2_admin_init', 'gather_cmb2_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 */
function gather_cmb2_sample_metaboxes() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = '_cmb_';

    /**
     * Initiate Post metabox 2
     */
    $post_cmb = new_cmb2_box( array(
        'id'            => 'post_header_options',
        'title'         => esc_html__( 'Post Header Options', 'gather' ),
        'object_types'  => array( 'post'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $post_cmb->add_field( array(
        'name' => esc_html__( 'Header Subtitle','gather'),
        'id'   => $prefix . 'single_header_subtitle',
        'type' => 'text',
    ) );

    /**
     * Initiate Post metabox
     */
    $post2_cmb = new_cmb2_box( array(
        'id'            => 'post_options',
        'title'         => esc_html__( 'Post Format Options', 'gather' ),
        'object_types'  => array( 'post'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $post2_cmb->add_field( array(
        'name' => esc_html__('Post Slider Images', 'gather' ),
        'desc' => esc_html__('These images will be use in Gallery post format only.', 'gather' ),
        'id'   => $prefix . 'post_slider_images',
        'type' => 'file_list',
        'preview_size' => array( 150, 150 ), // Default: array( 50, 50 )
    ) );


    $post2_cmb->add_field( array(
        'name'       => esc_html__('oEmbed for Post Format', 'gather' ),
        'desc'       => wp_kses(__('Enter a youtube, twitter, or instagram URL. Supports services listed at <a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a>.', 'gather' ),array('a'=>array('href'=>array()))),
        'id'   => $prefix . 'embed_video',
        'type' => 'oembed',
    ) );



////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    /**
     * Initiate Page metabox
     */
    $page_cmb = new_cmb2_box( array(
        'id'            => 'des_header',
        'title'         => esc_html__('Page Header Options', 'gather' ),
        'object_types'  => array( 'page'), // Post type
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'high',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $page_cmb->add_field( array(
        'name' => esc_html__('Header Subtitle', 'gather' ),
        'id'   => $prefix . 'single_header_subtitle',
        'type' => 'text',
    ) );

    $page_cmb->add_field( array(
        'name' => esc_html__('Navigation Type', 'gather' ),
        'id'   => $prefix . 'navigation_type',
        'type'    => 'select',
        'default'=>'sticky',
        'options' => array(
            'sticky' => __( 'Sticky', 'gather' ),
            'reveal'   => __( 'Reveal', 'gather' ),
            'static'   => __( 'Static', 'gather' ),
            
        ),
    ) );




    /**
     * Initiate User Profile metabox
     */
    $user_cmb = new_cmb2_box( array(
        'id'         => 'user_edit',
        'title'      => esc_html__( 'User Profile Metabox', 'gather' ),
        'object_types'  => array( 'user' ), // Tells CMB to use user_meta vs post_meta
        'context'       => 'normal',// normal, side and advanced
        'priority'      => 'core',// default, high and low - core
        'show_names'    => true, // Show field names on the left
    ) );

    $user_cmb->add_field( array(
        'name'     => esc_html__( 'Extra Info', 'gather' ),
        'id'       => $prefix . 'exta_info',
        'type' => 'title',
        'on_front' => false,
    ) );

    $user_cmb->add_field( array(
        'name'    => esc_html__( 'Avatar', 'gather' ),
        'id'      => $prefix . 'avatar',
        'type'    => 'file',
        // Optional:
        'options' => array(
            'url' => true, // Hide the text input for the url
        ),
    ) );

    

    $user_cmb->add_field( array(
        'name' => esc_html__( 'Facebook URL', 'gather' ),
        'id'   => $prefix . 'facebookurl',
        'type' => 'text_url',

    ) );

    $user_cmb->add_field( array(
        'name' => esc_html__( 'Twitter URL', 'gather' ),
        'id'   => $prefix . 'twitterurl',
        'type' => 'text_url',
    ) );
    $user_cmb->add_field( array(
        'name' => esc_html__( 'Google+ URL', 'gather' ),
        'id'   => $prefix . 'googleplusurl',
        'type' => 'text_url',
    ) );
    $user_cmb->add_field( array(
       'name' => esc_html__( 'Linkedin URL', 'gather' ),
        'id'   => $prefix . 'linkedinurl',
        'type' => 'text_url',
    ) );



    $user_cmb->add_field( array(
       'name' => esc_html__( 'User Field', 'gather' ),
        'id'   => $prefix . 'user_text_field',
        'type' => 'text',
    ) );


}

