<?php
/**
 * @package Gather - Event Landing Page Wordpress Theme
 * @author Cththemes - http://themeforest.net/user/cththemes
 * @date: 10-8-2015
 *
 * @copyright  Copyright ( C ) 2014 - 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
?>
<!DOCTYPE HTML>
<?php 
    $navigation_type = gather_global_var('navigation_type');
    if(is_page( )) $navigation_type = get_post_meta( get_the_ID() , "_cmb_navigation_type", true);
    $nav_cls = 'navbar navbar-default';
    switch ($navigation_type) {
        case 'reveal':
            $nav_cls .= ' navbar-fixed-top reveal-menu js-reveal-menu reveal-menu-hidden';
            break;
        case 'sticky':
            $nav_cls .= ' navbar-fixed-top';
            break;
        default : 
            $nav_cls .= ' navbar-static';
            break;
    }
?>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
        <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>      
        <link rel="shortcut icon" href="<?php echo esc_url( gather_global_var('favicon', 'url', true) );?>" type="image/x-icon"/>
        <?php } ?>
        <?php    
        wp_head(); ?>
    </head>
    <body <?php body_class( );?> data-spy="scroll" data-target="#navbar" data-offset="100">
        <?php if( gather_global_var('show_loader') ):?>
        <div class="preloader"></div>  
        <?php endif;?> 

        <!-- Fixed navbar -->
        <nav class="<?php echo esc_attr( $nav_cls );?>">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                        <span class="sr-only"><?php _e('Toggle navigation','gather');?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                    <?php if(gather_global_var('logo', 'url', true) ):?>
                        <img src="<?php echo esc_url(gather_global_var('logo', 'url', true));?>" width="<?php echo esc_attr(gather_global_var('logo_size_width') );?>" height="<?php echo esc_attr(gather_global_var('logo_size_height'));?>" class="responsive-img logo-vis" alt="<?php bloginfo('name');?>" />
                    <?php endif;?>
                    <?php if( gather_global_var('logo_text') ):?>
                        <h1 class="logo_text"><?php echo gather_global_var('logo_text') ;?></h1>
                    <?php endif;?>
                    <?php if( gather_global_var('slogan') ):?>
                        <h3 class="slogan"><em><?php echo gather_global_var('slogan') ;?></em></h3>
                    <?php endif;?>
                    </a>
                </div>
                <?php
                if ( gather_is_woocommerce_activated() ) { ?>
                <div class="attr-nav">
                    <ul>
                        <li>
                            <a href="<?php echo wc_get_cart_url(); ?>" title="<?php esc_html_e('Woocommerce cart','gather' );?>">
                                <i class="fa fa-shopping-bag"></i>
                                <span class="badge quantity-badge"><?php echo WC()->cart->get_cart_contents_count();?></span>
                            </a>
                        </li>
                    </ul>
                </div>
                <?php 
                } ?>


                <div id="navbar" class="navbar-collapse collapse">
                <?php 
                if(is_page_template('homepage-onepage.php' )){
                    $defaults1= array(
                        'theme_location'  => 'onepage',
                        'menu'            => '',
                        'container'       => '',
                        'container_class' => '',
                        'container_id'    => '',
                        'menu_class'      => 'gather_main-nav nav navbar-nav navbar-right',
                        'menu_id'         => '',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                        'walker'          => new wp_bootstrap_navwalker(),
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                        'depth'           => 0,
                    );
                    
                    if ( has_nav_menu( 'onepage' ) ) {
                        wp_nav_menu( $defaults1 );
                    }
                }else{
                    $defaults1= array(
                        'theme_location'  => 'primary',
                        'menu'            => '',
                        'container'       => '',
                        'container_class' => '',
                        'container_id'    => '',
                        'menu_class'      => 'gather_main-nav nav navbar-nav navbar-right',
                        'menu_id'         => '',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                        'walker'          => new wp_bootstrap_navwalker(),
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
                        'depth'           => 0,
                    );
                    
                    if ( has_nav_menu( 'primary' ) ) {
                        wp_nav_menu( $defaults1 );
                    }
                }

                ?>
                <?php 
                if(is_active_sidebar('top_social_widget')){
                    dynamic_sidebar('top_social_widget');
                }
                ?>
                </div>
                <!--/.nav-collapse -->
            </div>
        </nav><!-- // End Fixed navbar -->