<?php

// modify breadcrumb
add_filter( 'woocommerce_breadcrumb_defaults', 'gather_woocommerce_breadcrumb_defaults');

function gather_woocommerce_breadcrumb_defaults($default){
	$default = array(
					'delimiter'   => '',
					'wrap_before' => '<ul id="breadcrumb" class="breadcrumb woo-breadcrumb">',
					'wrap_after'  => '</ul>',
					'before'      => '<li>',
					'after'       => '</li>',
					'home'        => _x( 'Home', 'woo breadcrumb', 'gather' ),
				);

	return $default;
}

// remove default breadcrumb
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );

add_filter('woocommerce_show_page_title', '__return_false' );

remove_action('woocommerce_archive_description','woocommerce_taxonomy_archive_description', 10 );
remove_action('woocommerce_archive_description','woocommerce_product_archive_description', 10 );

add_action('gather_woo_archive_description','woocommerce_taxonomy_archive_description' );
add_action('gather_woo_archive_description','woocommerce_product_archive_description' );



//add next/previous product
add_action( 'woocommerce_after_single_product_summary', 'gather_product_post_nav', 14 );
function gather_product_post_nav(){
	if(gather_global_var('shop_single_navigation')){
	?>
	    <ul class="pager">
	    <?php
	    $prev_post = get_adjacent_post( gather_global_var('shop_single_nav_same_term') , '', true, 'product_cat' );
	    if ( is_a( $prev_post, 'WP_Post' ) ) :
	    ?>
	        <li class="previous"><a href="<?php echo get_permalink( $prev_post->ID ); ?>" class="lef-ar-nav" title="<?php echo get_the_title($prev_post->ID ); ?>"><?php echo esc_html_x('Previous product','Previous product link','gather') ;?></a></li>
	    <?php endif ?>
	    <?php
	    $next_post = get_adjacent_post( gather_global_var('shop_single_nav_same_term') , '', false, 'product_cat' );
	    if ( is_a( $next_post, 'WP_Post' ) ) :
	    ?>
	        <li class="next"><a href="<?php echo get_permalink( $next_post->ID ); ?>" class="rig-ar-nav" title="<?php echo get_the_title($next_post->ID ); ?>"><?php echo esc_html_x('Next product','Next product link','gather');?></a></li>
	    <?php endif ?>
	    </ul>
    <?php
	}
}
//filter related product count and columns
add_filter('woocommerce_output_related_products_args','gather_woocommerce_output_related_products_args' );

function gather_woocommerce_output_related_products_args($args){
	// $args = array(
	// 	'posts_per_page' 	=> 4,
	// 	'columns' 			=> 4,
	// 	'orderby' 			=> 'rand',
	// );
	if(gather_global_var('single_related_count')){
		$args['posts_per_page'] = gather_global_var('single_related_count') ;
	}

	return $args;
}

//filter up-sells product
add_filter('woocommerce_upsells_total','gather_woocommerce_upsells_total' );
function gather_woocommerce_upsells_total($limit){
	if(gather_global_var('single_up_sells_count')){
		$limit = gather_global_var('single_up_sells_count') ;
	}

	return $limit;
}