<?php
/**
 * Template Name: Post No Sidebar
 * Template Post Type: post
 * @package Gather - Event Landing Page Wordpress Theme
 * @author Cththemes - http://themeforest.net/user/cththemes
 * @date: 10-8-2015
 *
 * @copyright  Copyright ( C ) 2014 - 2015 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
$single_header_subtitle = get_post_meta(get_the_ID(), '_cmb_single_header_subtitle', true);
get_header(); 

?>

<header id="top" class="sub-header">
    <div class="container">
        <h1 class="page-title wow fadeInDown"><?php single_post_title( ) ;?><small><?php echo esc_attr($single_header_subtitle );?></small></h1>
        <?php gather_breadcrumbs();?>
    </div>
    <!-- end .container -->
</header>
<!-- end .sub-header -->

<div class="container single-post-container">
    <div class="row">
		<div class="col-md-12 single-post-content-col">
		
		<?php while(have_posts()) : the_post(); ?>
			
			<article <?php post_class('cth-single blog-content' );?>>
				
			<?php 
			if(gather_global_var('blog_featured_single')) : ?>
				<?php
				$slider_images = get_post_meta( get_the_ID(), '_cmb_post_slider_images', true);
			    if(!empty($slider_images)&& get_post_format( ) == 'gallery'){ ?>
			    <div class="blogsingleslider">
		            <ul class="slides">
				            <?php 
				                foreach ( (array) $slider_images as $img_id => $img_url ) {
							        echo '<li class="post-slide-item">';
							        echo wp_get_attachment_image( $img_id, 'full', false, array('class'=>'res-image') );
							        echo '</li>';
							    }
							?>
				    </ul>
				</div>
				<?php }elseif(get_post_meta(get_the_ID(), '_cmb_embed_video', true)!=""){ ?>
				<div class="entry-image">
					<div class="responsive-video">
						<?php echo wp_oembed_get(esc_url( get_post_meta(get_the_ID(), '_cmb_embed_video', true) )); ?>
					</div>
				</div>
				<?php }elseif(has_post_thumbnail( )){ ?>
				<div class="entry-image">
			        <?php the_post_thumbnail('full',array('class'=>'res-image') ); ?>
			    </div>
				<?php } ?>
			<?php endif;?>

				<?php if(gather_global_var('blog_date_single') || gather_global_var('blog_author_single') || gather_global_var('blog_comments_single') || gather_global_var('blog_cats_single')):?>
				<p class="post-meta">
			        <?php if( gather_global_var('blog_date_single') ) :?>
					<?php _e('on ','gather');?><a class="meta_date" href="<?php echo get_day_link((int)get_the_time('Y' ), (int)get_the_time('m' ), (int)get_the_time('d' )); ?>"> <?php the_date(get_option('date_format'));?></a>
					<?php endif;?>
					<?php if( gather_global_var('blog_author_single') ) :?>
					<?php _e('by ','gather');?> <?php the_author_posts_link( );?>
					<?php endif;?> 
					<?php if( gather_global_var('blog_comments_single') ) :?>
					<?php _e('com ','gather');?><?php comments_popup_link(__('0', 'gather'), __('1', 'gather'), __('%', 'gather')); ?>
					<?php endif;?>
			        <?php if( gather_global_var('blog_cats_single') ) :?>
						<?php if(get_the_category( )) { ?>
							<?php _e('cat ','gather');?>
							<?php the_category(', ' );?>					
						<?php } ?>	
					<?php endif;?>
			    </p>	
				<?php endif;?>
				
				<div class="entry-content">
					<?php the_content();?>
				</div>
                <?php
					wp_link_pages( array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'gather' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
					) );
				?>
				<?php if( gather_global_var('blog_tags_single') ) :?>
					<?php if(get_the_tags( )) { ?>
					<div class="tag-cloud top-space">
						<?php the_tags('','','');?>	
                    </div>
					<?php } ?>
				<?php endif;?>
				<?php gather_post_nav();?>


            </article>

            <?php
			if ( comments_open() || get_comments_number() ) :
				
			 	comments_template(); 
			 	
			endif; ?>

		<?php endwhile;?>

		</div>

	</div>
</div>

<?php 
get_footer(); 
?>